Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Static intBotao As Integer = 0
        Dim ToolStripButton As New ToolStripButton("Botão " & intBotao + 1)
        ToolStrip1.Items.Add(ToolStripButton)        
        intBotao = intBotao + 1
        Label2.Text = intBotao.ToString        
    End Sub
End Class
